Skip to content

List contacts

client.Contact.List(ctx, query) (*ContactListResponse, error)
GET/v1/contacts

Returns a paginated list of contacts. Use offset and limit to paginate through results, and $field query parameters to filter. See List endpoints for more information about pagination and filtering.

Required scope: contacts:read

Rate limit category: Search

ParametersExpand Collapse
query ContactListParams
Limit param.Field[int64]Optional

Maximum number of records to return. Defaults to 25, maximum 25.

minimum1
maximum9007199254740991
Offset param.Field[int64]Optional

Number of records to skip for pagination. Defaults to 0.

minimum0
maximum9007199254740991
ReturnsExpand Collapse
type ContactListResponse struct{…}
Data []ContactListResponseData

Array of entity objects for the current page.

ID string

Unique identifier for the entity.

CreatedAt string

ISO 8601 timestamp of when the entity was created.

Fields map[string, ContactListResponseDataField]

Map of field names to their typed values. System fields are prefixed with $ (e.g. $name, $email); custom attributes use their bare slug.

Value ContactListResponseDataFieldValueUnion

The field value, or null if unset.

One of the following:
string
float64
bool
type ContactListResponseDataFieldValueArray []string
type ContactListResponseDataFieldValueAddress struct{…}
City stringOptional

City name.

Country stringOptional

2-letter ISO 3166-1 alpha-2 country code.

Latitude float64Optional

Latitude coordinate.

Longitude float64Optional

Longitude coordinate.

PostalCode stringOptional

Postal or ZIP code.

State stringOptional

State or province.

Street stringOptional

Street address line 1.

Street2 stringOptional

Street address line 2.

type ContactListResponseDataFieldValueFullName struct{…}
FirstName stringOptional

The contact’s first name.

LastName stringOptional

The contact’s last name.

ValueType string

The data type of the field.

One of the following:
const ContactListResponseDataFieldValueTypeAddress ContactListResponseDataFieldValueType = "ADDRESS"
const ContactListResponseDataFieldValueTypeCheckbox ContactListResponseDataFieldValueType = "CHECKBOX"
const ContactListResponseDataFieldValueTypeCurrency ContactListResponseDataFieldValueType = "CURRENCY"
const ContactListResponseDataFieldValueTypeDatetime ContactListResponseDataFieldValueType = "DATETIME"
const ContactListResponseDataFieldValueTypeEmail ContactListResponseDataFieldValueType = "EMAIL"
const ContactListResponseDataFieldValueTypeFullName ContactListResponseDataFieldValueType = "FULL_NAME"
const ContactListResponseDataFieldValueTypeMarkdown ContactListResponseDataFieldValueType = "MARKDOWN"
const ContactListResponseDataFieldValueTypeMultiSelect ContactListResponseDataFieldValueType = "MULTI_SELECT"
const ContactListResponseDataFieldValueTypeNumber ContactListResponseDataFieldValueType = "NUMBER"
const ContactListResponseDataFieldValueTypeSingleSelect ContactListResponseDataFieldValueType = "SINGLE_SELECT"
const ContactListResponseDataFieldValueTypeSocialHandle ContactListResponseDataFieldValueType = "SOCIAL_HANDLE"
const ContactListResponseDataFieldValueTypeTelephone ContactListResponseDataFieldValueType = "TELEPHONE"
const ContactListResponseDataFieldValueTypeText ContactListResponseDataFieldValueType = "TEXT"
const ContactListResponseDataFieldValueTypeURL ContactListResponseDataFieldValueType = "URL"
Relationships map[string, ContactListResponseDataRelationship]

Map of relationship names to their associated entities. System relationships are prefixed with $ (e.g. $owner, $contact).

Cardinality string

Whether the relationship is has_one or has_many.

ObjectType string

The type of the related object (e.g. account, contact).

Values []string

IDs of the related entities.

UpdatedAt string

ISO 8601 timestamp of when the entity was last updated, or null.

ExternalID stringOptional

External identifier for the entity, or null if unset.

Object string

The object type, always "list".

TotalCount int64

Total number of entities matching the query.

minimum0
maximum9007199254740991

List contacts

package main

import (
  "context"
  "fmt"

  "github.com/Lightfld/lightfield-go"
  "github.com/Lightfld/lightfield-go/option"
)

func main() {
  client := githubcomlightfldlightfieldgo.NewClient(
    option.WithAPIKey("My API Key"),
  )
  contactListResponse, err := client.Contact.List(context.TODO(), githubcomlightfldlightfieldgo.ContactListParams{

  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", contactListResponse.Data)
}
{
  "data": [
    {
      "id": "id",
      "createdAt": "createdAt",
      "fields": {
        "foo": {
          "value": "string",
          "valueType": "ADDRESS"
        }
      },
      "httpLink": "httpLink",
      "relationships": {
        "foo": {
          "cardinality": "cardinality",
          "objectType": "objectType",
          "values": [
            "string"
          ]
        }
      },
      "updatedAt": "updatedAt",
      "externalId": "externalId"
    }
  ],
  "object": "object",
  "totalCount": 0
}
Returns Examples
{
  "data": [
    {
      "id": "id",
      "createdAt": "createdAt",
      "fields": {
        "foo": {
          "value": "string",
          "valueType": "ADDRESS"
        }
      },
      "httpLink": "httpLink",
      "relationships": {
        "foo": {
          "cardinality": "cardinality",
          "objectType": "objectType",
          "values": [
            "string"
          ]
        }
      },
      "updatedAt": "updatedAt",
      "externalId": "externalId"
    }
  ],
  "object": "object",
  "totalCount": 0
}